## gnutls26 2.12.14

=== debian/changelog ===
gnutls26 (2.12.14-5ubuntu3.1) precise-proposed; urgency=low

  * Apply upstream patch to fix validation of certificates when more than
    one with the same short hash exists in the CA bundle (LP: #1003841).

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 24 May 2012 11:19:12 +0200

gnutls26 (2.12.14-5ubuntu3) precise; urgency=low

  * SECURITY UPDATE: Denial of service via crafted TLS record (LP: #978661)
    - debian/patches/CVE-2012-1573.patch: Validate the size of a
      GenericBlockCipher structure as it is processed. Based on upstream
      patch.
    - CVE-2012-1573

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 11 Apr 2012 02:52:23 -0500

gnutls26 (2.12.14-5ubuntu2) precise; urgency=low

  * Bump the version of gnutls-doc too, for the same reason as gnutls-bin.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 20:05:00 +0000

gnutls26 (2.12.14-5ubuntu1) precise; urgency=low

  * Start building gnutls-bin from this source package again, superseding
    the version in gnutls28: gnutls28's licensing is currently too strict
    for many of the free software packages built against it in Ubuntu main
    and we only want to support a single version.  Bump its version to
    achieve this.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 18:18:46 +0000

gnutls26 (2.12.14-5) unstable; urgency=low

  * Disable gnutls-guile package, let it be provided by gnutls28.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Dec 2011 12:05:34 +0100

gnutls26 (2.12.14-4) unstable; urgency=low

  * Prepare for uploading gnutls28 to unstable.
    + Drop gnutls-bin package, it is going to be provided by gnutls28.
    + Binaries are still useful for debugging, ship them with libgnutls-dbg
      in LIBDIR/libgnutls26.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Dec 2011 09:39:54 +0100

gnutls26 (2.12.14-3) unstable; urgency=low

  * [20_tests-select.diff] Do not run gnulib test-select test anymore. The
    test fails on kfreebsd-i386, the gnutls library does not use select().
    Closes: #648247

 -- Andreas Metzler <ametzler@debian.org>  Tue, 15 Nov 2011 19:10:06 +0100

gnutls26 (2.12.14-2) unstable; urgency=low

  * Build gnutls with --disable-largefile on armel, armhf and mipsel to fix
    FTBFS on these architectures.
    See http://lists.gnu.org/archive/html/gnutls-devel/2011-10/msg00075.html

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Nov 2011 09:30:42 +0100

gnutls26 (2.12.14-1) unstable; urgency=medium

  * Simplify dependencies:
    + libgnutls-dev Provides/Conflicts/Replaces gnutls-dev (which is
      also provided by gnutls28' libgnutls*-dev).
    + Drop *ancient* Conflicts/Replaces against libgnutls5-dev, gnutls0.4-dev,
      gnutls-dev (<< 0.4.0-0), libgnutls11-dev.
  * New upstream bugfix release.
    + Fixes GNUTLS-SA-2011-2 CVE-2011-4128 Closes: #648441

 -- Andreas Metzler <ametzler@debian.org>  Tue, 08 Nov 2011 19:34:28 +0100

gnutls26 (2.12.12-1) unstable; urgency=low

  * New upstream version.
  * Drop -mlong-double-64 on powerpc, updated gnulib should fix this issue and
    the build-failure on powerpc64. Closes: #644944
  * Delete superfluous info from debian/README.source.
  * Drop 20_guiledocstring, included upstream.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 21 Oct 2011 19:33:04 +0200

gnutls26 (2.12.11-1) unstable; urgency=low

  * New upstream version.
    + Allow CA importing of 0 certificates to succeed. Closes: #640639
  * Add libp11-kit-dev to libgnutls-dev dependencies. (see #643811)
  * [20_guiledocstring.diff] guile: Fix docstring extraction with CPP 4.5+.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Oct 2011 15:28:13 +0200

gnutls26 (2.12.10-2) unstable; urgency=low

  * Add -mlong-double-64 to CFLAGS on powerpc to work around gnulib testsuite
    error (test-float). See http://savannah.gnu.org/bugs/?33710 and 
    http://mid.gmane.org/relbj8-8jh.ln1%40argenau.downhill.at.eu.org

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Sep 2011 08:23:54 +0200

gnutls26 (2.12.10-1) unstable; urgency=low

  * New upstream version.
    + Uses p11-kit instead of forked pakchois for PKCS#11. Update
      build-depends (libp11-kit-dev and pkg-config) and debian/copyright.
  * Drop superfluous patches (20_gcrypt15compat.diff,
    21_gnutls-cli.man.diff 22_export_gnutls_openpgp_privkey_sign_hash.diff
    23_deinit_privkey.diff 24_XmppAddr-UTF8String.diff).
  * Fix binary-control-field-duplicates-source lintian warnings.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Sep 2011 14:40:36 +0200

gnutls26 (2.12.7-8) unstable; urgency=high

  * Since libgnutls*-dbg contains debugging symbols of helper applications
    libgnutls26-dbg and libgnutls28-dbg are not co-installable. Add Conflicts.
  * [24_XmppAddr-UTF8String.diff] Correct parsing of XMPP subject
    alternative names. Closes: #638586
  * [23_deinit_privkey.diff] gnutls_certificate_set_x509_key() and
    gnutls_certificate_set_openpgp_key() operate as in 2.10.x and allow the
    release of the private key during the lifetime of the certificate
    structure. Closes: #638595
  * Upload with urgency=high, 638595 breaks wwwoffle's TLS support.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Aug 2011 08:54:26 +0200

gnutls26 (2.12.7-7) unstable; urgency=high

  * 21_gnutls-cli.man.diff pulled from upstream git: Formatting fix for
    gnutls-cli manpage. Closes: #637551
  * 22_export_gnutls_openpgp_privkey_sign_hash.diff. Fix ABI breakage,
    export_gnutls_openpgp_privkey_sign_hash() used to be present in 2.10.x was
    accidentally dropped from the symbol list. (Thanks, Jakub Wilk)
    Closes: #638801

 -- Andreas Metzler <ametzler@debian.org>  Mon, 22 Aug 2011 19:24:08 +0200

gnutls26 (2.12.7-6) unstable; urgency=low

  * Use common-install-arch instead of common-install-prehook-arch to delete
    rpath.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 12 Aug 2011 20:26:22 +0200

gnutls26 (2.12.7-5) unstable; urgency=low

  * libgnutls26 Breaks sipsak (<= 0.9.6-2.1+b1) [sparc armhf].

