## gnutls26 2.12.16

=== debian/changelog ===
gnutls26 (2.12.16-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jan 2012 13:20:09 +0100
