## gnutls26 2.12.17

=== debian/changelog ===
gnutls26 (2.12.17-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Mar 2012 16:07:43 +0100

gnutls26 (2.12.17-1) experimental; urgency=low

  * New upstream release.
   + Unfuzz 20_tests-select.diff.
   + Bump libp11-kit-dev build-dep.
   + Bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Mar 2012 18:17:30 +0100
