=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnutls26
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -10,9 +9,9 @@
 Build-Depends: debhelper (>= 8.1.3), libgcrypt11-dev (>= 1.4.0), zlib1g-dev,
  cdbs (>= 0.4.93), gtk-doc-tools, texinfo (>= 4.8),
  libtasn1-3-dev (>= 0.3.4-0), autotools-dev, datefudge,
- libp11-kit-dev (>= 0.4), pkg-config, chrpath
+ libp11-kit-dev (>= 0.11), pkg-config, chrpath
 Build-Conflicts: libgnutls-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnutls/packages/gnutls26/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnutls/packages/gnutls26/trunk/
 Homepage: http://www.gnutls.org/
@@ -25,7 +24,7 @@
  libgnutlsxx27 (= ${binary:Version}),libgnutls-openssl27 (= ${binary:Version}),
  libgcrypt11-dev (>= 1.4.0), libc6-dev | libc-dev, zlib1g-dev,
  libtasn1-3-dev (>= 0.3.4), libp11-kit-dev (>= 0.4), ${misc:Depends}
-Suggests: gnutls-doc, gnutls-bin
+Suggests: gnutls-doc
 Conflicts: gnutls-dev
 Replaces: gnutls-dev
 Description: GNU TLS library - development files
@@ -63,7 +62,6 @@
  slrn (<= 1.0.0~pre18-1.1), slrnpull (<= 1.0.0~pre18-1.1),
  snowdrop (<= 0.02b-9), ssmtp (<= 2.64-4), tf5 (<= 5.0beta8-4),
  wput (<= 0.6.2-2), zoneminder (<= 1.24.4-1)
-Suggests: gnutls-bin
 Multi-Arch: same
 Description: GNU TLS library - runtime library
  GnuTLS is a portable library which implements the Transport Layer
@@ -94,31 +92,6 @@
  Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 protocols.
  .
  This package contains the debugger symbols and commandline utilities.
-
-Package: gnutls-bin
-Architecture: any
-Section: net
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: foreign
-Description: GNU TLS library - commandline utilities
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 protocols.
- .
- GnuTLS features support for:
-  - TLS extensions: server name indication, max record size, opaque PRF
-    input, etc.
-  - authentication using the SRP protocol.
-  - authentication using both X.509 certificates and OpenPGP keys.
-  - TLS Pre-Shared-Keys (PSK) extension.
-  - Inner Application (TLS/IA) extension.
-  - X.509 and OpenPGP certificate handling.
-  - X.509 Proxy Certificates (RFC 3820).
-  - all the strong encryption algorithms (including SHA-256/384/512 and
-    Camellia (RFC 4132)).
- .
- This package contains a commandline interface to the GNU TLS library, which
- can be used to set up secure connections from e.g. shell scripts, debugging
- connection issues or managing certificates.
 
 Package: gnutls-doc
 Architecture: all
