## gnutls26 2.12.18

=== debian/changelog ===
gnutls26 (2.12.18-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 16 Mar 2012 19:34:18 +0100
