=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 	--with-packager-version="$(DEB_VERSION)" \
 	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 DEB_MAKE_CHECK_TARGET = check
-DEB_DH_MAKESHLIBS_ARGS_libgnutls26 := -V 'libgnutls26 (>= 2.12.6.1-0)'
+DEB_DH_MAKESHLIBS_ARGS_libgnutls26 := -V 'libgnutls26 (>= 2.12.17-0)'
+DEB_DH_MAKESHLIBS_ARGS_libgnutlsxx27 := -V 'libgnutlsxx27 (>= 2.12.17-0)'
 DEB_COMPRESS_EXCLUDE := gnutls.pdf
 
 # pre-clean rule: save gnutls.pdf since it is expensive to regenerate.
@@ -52,11 +53,10 @@
 common-install-arch::
 	find debian/tmp/usr/lib/* -name '*.so.*.*' -type f -exec \
 		chrpath -d {} +
-
-# gnutls-bin and gnutls-doc were built from gnutls28 for a while, but we no
-# longer want this to be the case at least for Ubuntu 12.04 LTS, because
-# gnutls28's licensing is too strict for many of the free software packages
-# built against it in Ubuntu main and we only want to support a single
-# version.  Bump their versions to supersede the gnutls28 version.
-binary-makedeb/gnutls-bin:: DEB_DH_GENCONTROL_ARGS := -- -v3.0.11+really$(DEB_VERSION)
-binary-makedeb/gnutls-doc:: DEB_DH_GENCONTROL_ARGS := -- -v3.0.11+really$(DEB_VERSION)
+	if ! test -e debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgnutls26 ; \
+		then \
+		install -d -m755 \
+			debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgnutls26 &&\
+		mv -v debian/tmp/usr/bin/* \
+			debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgnutls26 ;\
+		fi
