## gnutls26 2.12.20

=== debian/changelog ===
gnutls26 (2.12.20-8+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 43_CVE-2015-7575.diff patch.
    CVE-2015-7575: MD5-based ServerKeyExchange signature accepted by
    default.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Jan 2016 19:16:10 +0100

gnutls26 (2.12.20-8+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 42_CVE-2015-8313.diff patch.
    CVE-2015-8313: Fixes off by one issue in padding check.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 30 Nov 2015 22:30:34 +0100

gnutls26 (2.12.20-8+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 40_CVE-2015-0294.diff patch.
    CVE-2015-0294: certificate algorithm consistency checking issue.
  * Add 41_CVE-2015-0282.diff patch.
    CVE-2015-0282: RSA PKCS#1 signature verification forgery
    (GNUTLS-SA-2015-1).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Mar 2015 22:03:27 +0100

gnutls26 (2.12.20-8+deb7u2) wheezy-security; urgency=high

  * 39_Prevent-memory-corruption.diff from upstream GIT. Fix memory corruption
    on client side caused by specially crafted ServerHello.
    GNUTLS-SA-2014-3 / CVE-2014-3466

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 May 2014 16:27:40 +0200

gnutls26 (2.12.20-8+deb7u1) wheezy-security; urgency=high

  * 38_CVE-2014-0092.diff by Nikos Mavrogiannopoulos: Fix certificate
    validation issue. CVE-2014-0092

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Mar 2014 07:44:51 +0100

gnutls26 (2.12.20-8) wheezy-security; urgency=high

  * 26_fix_rejection-of-v1-intermedi.diff pulled and unfuzzed from GIT 3.x:
    A version 1 intermediate certificate will be considered as a CA
    certificate by default (something that deviates from the documented
    behavior).
    CVE-2014-1959 / GNUTLS-SA-2014-1

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2014 18:27:37 +0100

gnutls26 (2.12.20-7) wheezy-security; urgency=high

  * [36_sanitycheck.diff] from upstream GIT. - Fix out of bounds data access.
    Closes: #709301

 -- Andreas Metzler <ametzler@debian.org>  Fri, 24 May 2013 19:54:10 +0200

gnutls26 (2.12.20-6) unstable; urgency=low

  * For wheezy build gnutls-bin and guile-gnutls from this source package 
    rather than from gnutls28. gnutls28 is a leaf-package in wheezy. Not
    shipping would mean a lot less work for the security team if there was a
    GnuTLS vulnerability. If wanted, it can be re-introduced via backports.
    The versioning trick has been copied from Ubuntu.
  * Since guile support would require building with --disable-largefile on
    armel armhf mipsel we do not provide the package there.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 04 Apr 2013 18:34:25 +0200

gnutls26 (2.12.20-5) unstable; urgency=low

  * Testbuild gnutls guile bindings, binary packages unchanged.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 22 Mar 2013 18:58:28 +0100

gnutls26 (2.12.20-4) unstable; urgency=high

  * Pull fixes from 2.12.23:
    + 34_pkcs11_memleak.diff Eliminated memory leak in PCKS #11
      initialization.
    + 35_TLS-CBC_timing-attack.diff (GNUTLS-SA-2013-1) TLS CBC padding timing
      attack. CVE-2013-0169 CVE-2013-1619

 -- Andreas Metzler <ametzler@debian.org>  Mon, 04 Feb 2013 19:35:29 +0100

gnutls26 (2.12.20-3) unstable; urgency=low

  * Pull fixes from 2.12.22:
    +31_allow_key_usage_violation.diff: Always tolerate key usage violation
     errors from the side of the peer, but also notify via an audit message.
    +32_record-padding-parsing.patch: Fix record padding parsing issue.
    +33_stricter_rsa_pkcs_1.5.diff: Fixes random handshake failures with
     non-GnuTLS implementations.
    This brings us up to GnuTLS 2.12.22, except for these differences:
    - The equivalent change of 33_stricter_rsa_pkcs_1.5.diff for the nettle
      code is not included as it is not relevant for Debian's binary packages.
    - 0b9d8d6f21dad85038c6de36d8fbd56271263f64 Corrected bug in PGP subpacket
      encoding.
    - Compatibility with libtasn1 3.x, which would require libtasn1 >=2.14.
    - Updated gnulib.
  * Update watchfile, based on Bart Martens version from q.d.o, but use a)
    ftp.gnutls.org as mirror and b) limit the the match to 2.x versions.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Jan 2013 10:56:57 +0100

gnutls26 (2.12.20-2) unstable; urgency=low

  * 30_strlen_on_null.diff: Fix segfault caused by running strlen() on NULL.
    Closes: #647747
  * Fix documentation packaging. gnutls-doc is built from the GnuTLS 3.x
    packages. Add a new gnutls26-doc package which drops manpages and info
    format documentation in favour of being co-installable with
    gnutls-doc.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 13 Nov 2012 19:21:25 +0100

gnutls26 (2.12.20-1) unstable; urgency=low

  * New upstream release.
  * Drop 25_nssldapsfix.diff (already included).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Jun 2012 16:53:50 +0200

gnutls26 (2.12.19-2) unstable; urgency=low

  * Pull debian/patches/25_nssldapsfix.diff from upstream git.
    (LP: #1003841)

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Jun 2012 19:17:07 +0200

gnutls26 (2.12.19-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 May 2012 20:02:34 +0200
