## gnutls26 2.12.23

=== debian/changelog ===
gnutls26 (2.12.23-1ubuntu1) raring; urgency=low

  * Merge from debian-experimental, remaining changes:
    - Build gnutls-bin from this source package rather than from gnutls28:
      gnutls28's licensing is currently too strict for many of the free
      software packages built against it in Ubuntu main and we only want to
      support a single version.  Bump its version to achieve this.
  * Drop gnulib-gets.diff: upstream.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 07 Mar 2013 12:47:58 +0200

gnutls26 (2.12.23-1) experimental; urgency=low

  * New upstream version.
    + Includes fix for lucky thirteen TLS CBC padding timing
      attack. CVE-2013-0169 CVE-2013-1619 GNUTLS-SA-2013-1

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Feb 2013 14:11:02 +0100

gnutls26 (2.12.22-1) experimental; urgency=low

  * Update watchfile, based on Bart Martens version from q.d.o, but use a)
    ftp.gnutls.org as mirror and b) limit the the match to 2.x versions.
  * New upstream version.
    + Drop 30_strlen_on_null.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Jan 2013 09:27:43 +0100

gnutls26 (2.12.21-4) experimental; urgency=low

  * 30_strlen_on_null.diff: Pulled from upstream git. Fix segfault caused
    by running strlen() on NULL. Closes: #647747

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Nov 2012 14:48:57 +0100

gnutls26 (2.12.21-3) experimental; urgency=low

  * Build with -sa.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Nov 2012 09:50:41 +0100

gnutls26 (2.12.21-2) experimental; urgency=low

  * Fix documentation packaging. gnutls-doc is built from the GnuTLS 3.x
    packages. Add a new gnutls26-doc package which drops manpages and info
    format documentation in favour of being is co-installable with
    gnutls-doc.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Nov 2012 09:23:27 +0100

gnutls26 (2.12.21-1) experimental; urgency=low

  * New upstream release.
    + Works with libtasn1 3.0, requires at least libtasn1 2.14. Bump b-d.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Nov 2012 19:05:36 +0100

gnutls26 (2.12.20-2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build gnutls-bin from this source package rather than from gnutls28:
      gnutls28's licensing is currently too strict for many of the free
      software packages built against it in Ubuntu main and we only want to
      support a single version.  Bump its version to achieve this.
  * Avoid assuming that gets is declared.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Dec 2012 18:29:32 +0000

gnutls26 (2.12.14-5ubuntu4) quantal; urgency=low

  * Apply upstream patch to fix validation of certificates when more than
    one with the same short hash exists in the CA bundle (LP: #1003841).

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 24 May 2012 11:19:12 +0200
