=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: gnutls26
 Section: libs
 Priority: optional
-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
  Simon Josefsson <simon@josefsson.org>
 Build-Depends: debhelper (>= 8.1.3), libgcrypt11-dev (>= 1.4.0), zlib1g-dev,
  cdbs (>= 0.4.93), gtk-doc-tools, texinfo (>= 4.8),
- libtasn1-3-dev (>= 0.3.4-0), autotools-dev, 
- guile-1.8-dev[!armel !armhf !mipsel], datefudge, 
+ libtasn1-3-dev (>= 2.14-0), autotools-dev, datefudge,
  libp11-kit-dev (>= 0.11), pkg-config, chrpath
 Build-Conflicts: libgnutls-dev
 Standards-Version: 3.9.3
@@ -24,8 +24,8 @@
 Depends: libgnutls26 (= ${binary:Version}), 
  libgnutlsxx27 (= ${binary:Version}),libgnutls-openssl27 (= ${binary:Version}),
  libgcrypt11-dev (>= 1.4.0), libc6-dev | libc-dev, zlib1g-dev,
- libtasn1-3-dev (>= 0.3.4), libp11-kit-dev (>= 0.4), ${misc:Depends}
-Suggests: gnutls26-doc
+ libtasn1-3-dev (>= 2.14), libp11-kit-dev (>= 0.4), ${misc:Depends}
+Suggests: gnutls26-doc, gnutls-bin
 Conflicts: gnutls-dev
 Replaces: gnutls-dev
 Description: GNU TLS library - development files
@@ -63,6 +63,7 @@
  slrn (<= 1.0.0~pre18-1.1), slrnpull (<= 1.0.0~pre18-1.1),
  snowdrop (<= 0.02b-9), ssmtp (<= 2.64-4), tf5 (<= 5.0beta8-4),
  wput (<= 0.6.2-2), zoneminder (<= 1.24.4-1)
+Suggests: gnutls-bin
 Multi-Arch: same
 Description: GNU TLS library - runtime library
  GnuTLS is a portable library which implements the Transport Layer
@@ -92,7 +93,7 @@
  GnuTLS is a portable library which implements the Transport Layer
  Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 protocols.
  .
- This package contains the debugger symbols.
+ This package contains the debugger symbols and commandline utilities.
 
 Package: gnutls-bin
 Architecture: any
@@ -142,30 +143,6 @@
  .
  This package contains the documentation for the GnuTLS 2.x legacy version.
 
-Package: guile-gnutls
-Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips powerpc s390 s390x sparc
-Section: lisp
-Depends: ${misc:Depends},${shlibs:Depends}, guile-1.8
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: GNU TLS library - GNU Guile bindings
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2) and Secure Sockets Layer (SSL) 3.0 protocols.
- .
- GnuTLS features support for:
-  - TLS extensions: server name indication, max record size, opaque PRF
-    input, etc.
-  - authentication using the SRP protocol.
-  - authentication using both X.509 certificates and OpenPGP keys.
-  - TLS Pre-Shared-Keys (PSK) extension.
-  - Inner Application (TLS/IA) extension.
-  - X.509 and OpenPGP certificate handling.
-  - X.509 Proxy Certificates (RFC 3820).
-  - all the strong encryption algorithms (including SHA-256/384/512 and
-    Camellia (RFC 4132)).
- .
- This package contains the GNU Guile 1.8 modules.
-
 Package: libgnutlsxx27
 Priority: extra
 Architecture: any
